Difference between revisions of "Flameman/ipaq/kernel"

From eLinux.org
< Flameman‎ | ipaq
Jump to: navigation, search
(support)
(Replaced content with "obsolete to be trashed")
 
(8 intermediate revisions by 2 users not shown)
Line 1: Line 1:
= check it out =
+
obsolete to be trashed
 
 
== first kernel tests ==
 
 
 
{| border="1" cellspacing="0" cellpadding="5" align="center"
 
! kernel
 
! (cross)compiled
 
! hacked ?
 
! compiling ?
 
! sleeve 2xpcmcia
 
! sleeve 1xpcmcia
 
! sleeve microdrive
 
|-
 
| 2.6.12
 
| gcc-4.1.0/host=ppc
 
| no, vanilla, defconfig
 
| no
 
| not tested, yet
 
| not tested, yet
 
| not tested, yet
 
|-
 
| 2.6.13
 
| gcc-4.1.0/host=ppc
 
| no, vanilla, defconfig
 
| no
 
| not tested, yet
 
| not tested, yet
 
| not tested, yet
 
|-
 
| 2.6.14
 
| gcc-4.1.0/host=ppc
 
| no, vanilla, defconfig
 
| no
 
| not tested, yet
 
| not tested, yet
 
| not tested, yet
 
|-
 
| 2.6.15
 
| gcc-4.1.0/host=ppc
 
| no, vanilla, myconfig
 
| yes
 
| not tested, yet
 
| not recognized
 
| not recognized
 
|-
 
| 2.6.15
 
| gcc-4.1.0/host=ppc
 
| no, vanilla, myconfig
 
| yes
 
| not tested, yet
 
| not recognized
 
| not recognized
 
|-
 
| '''2.6.19.hh4''' seems "the one"
 
| gcc-4.1.0/host=ppc
 
| __, myconfig
 
| __ , patched file[]={arch/arm/common/ipaq/micro_ts.c arch/arm/configs/h3600_defconfig, arch/arm/mach-sa1100/h3600_lcd.c arch/arm/mach-sa1100/ipaq.c drivers/soc/micro.c}
 
| not tested, yet
 
| not tested, yet
 
| not tested, yet
 
|-
 
| '''2.6.19.my''' current working branch"
 
| gcc-4.1.0/host=ppc
 
| __, myconfig
 
| __ , patched ~file[]={sleeve, touchscreen}
 
| not tested, yet
 
| not tested, yet
 
| not tested, yet
 
|-
 
| 2.6.21
 
| gcc-4.1.0/host=ppc
 
| no, vanilla, myconfig
 
| yes
 
| not tested, yet
 
| recognized with an issue (conflict if ext3 is specified in /boot/params ... with ext2 it works) ... also no frame buffer support
 
| not recognized
 
|-
 
| 2.6.21-hh
 
| gcc-4.1.0/host=ppc
 
| yes, myconfig
 
| yes
 
| not recognized
 
| stalled after kernel uncompress with a particular setting in the .config, CF recognized with an issue (conflict if ext3 is specified in /boot/params ... with ext2 it works) ... also frame buffer is working
 
| not recognized
 
|-
 
| 2.6.28
 
| gcc-4.1.0/host=ppc
 
| no, vanilla, myconfig
 
| yes
 
| not recognized
 
| recognized with an issue (conflict if ext3 is specified in /boot/params ... with ext2 it works) ... also no frame buffer support
 
| not tested, yet
 
|-
 
| 2.6.29.colie
 
| gcc-4.1.0/host=ppc
 
| no, vanilla, myconfig
 
| yes
 
| not recognized
 
| recognized with an issue (conflict if ext3 is specified in /boot/params ... with ext2 it works)) frame buffer is working, backlighing is not working, RTC is working
 
| not tested, yet
 
|}
 
 
 
 
 
== status of sleeve hw with iPAQ 3600 kernel 2.6 ==
 
 
 
{| border="1" cellspacing="0" cellpadding="5" align="center"
 
! device
 
! tested with kernel
 
! does it work ?
 
! any issue ?
 
! notes
 
|-
 
| Nexicam (cam + cf)
 
| so not tested yed
 
| -
 
| -
 
| i have no such hw
 
|-
 
| Nexicam 2x cf (+ broken ext batt)
 
| -
 
| -
 
| -
 
| i have no such hw
 
|-
 
| SilverSlider (1x cf)
 
| -
 
| -
 
| -
 
| i have no such hw
 
|-
 
| Compaq 1x pcmcia
 
| 2.6.19.my
 
| yes, nice
 
| not yet
 
| i am using this device with a pcmcia-to-CF2 adaptor in order to attach a microdrive
 
|-
 
| Compaq 1x pcmcia + ext. batt
 
| -
 
| -
 
| -
 
| i have no such hw, i think it should word as the batt-less version
 
|-
 
| Compaq 2x pcmcia
 
| 2.6.19.my
 
| a bit: it detects something generic in the pcmcia slot but it doesn't attach it
 
| no, it doesn't
 
| pretty dirty status of sa1100 pcmcia sources
 
|-
 
| Pi (cf + memorystick)
 
| -
 
| -
 
| -
 
| i have no such hw
 
|-
 
| Barcode
 
| -
 
| -
 
| -
 
| i have no such hw
 
|-
 
| NavMan
 
| -
 
| -
 
| -
 
| i have no such hw
 
|-
 
| GSM
 
| -
 
| -
 
| -
 
| i have no such hw
 
|}
 
 
 
== status ==
 
 
 
http://www.elinux.org/Flameman/status
 

Latest revision as of 08:06, 17 March 2012

obsolete to be trashed